Skip to main content
GET
/
v2
/
onchain
/
markets
/
{condition_id}
/
oi
Market open interest (onchain)
curl --request GET \
  --url https://api.polynode.dev/v2/onchain/markets/{condition_id}/oi
Returns the current open interest for a specific market, sourced from onchain data. Enriched with market metadata.

Request

GET /v2/onchain/markets/{condition_id}/oi
ParameterTypeLocationDescription
condition_idstringpathMarket condition ID (0x-prefixed, 64 hex chars)

Response

{
  "condition_id": "0x8180fee481707671aa45de84a9c3740ab607f3f2643b456e0380afb02d12cf7d",
  "source": "onchain",
  "found": true,
  "market": "Bitcoin Up or Down - March 28, 10:55AM-11:00AM ET",
  "slug": "btc-updown-5m-1774709700",
  "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/BTC+fullsize.png",
  "open_interest_usdc": 393.153937
}
FieldTypeDescription
foundbooleanWhether the market was found onchain
marketstringMarket question
slugstringMarket slug
imagestringMarket image URL
open_interest_usdcnumberCurrent open interest in USDC

Example

curl "https://api.polynode.dev/v2/onchain/markets/0x8180fee481707671aa45de84a9c3740ab607f3f2643b456e0380afb02d12cf7d/oi" \
  -H "x-api-key: YOUR_KEY"

Path Parameters

condition_id
string
required

Market condition ID

Response

Open interest